#ifndef PCALID_H
#define PCALID_H
#include <iostream>
#include "pHitID.h"

using std::cout;
using std::endl;

class pCalID :public pHitID {

public:

  pCalID(const char *c=0){SetHitID(c);}
  
  void SetHitID(const char *c){
    int *temp =(int *) c;
    _icapl=*temp++;
    _icasi=*temp++;
    _icast=*temp;
  }
  
  int GetIcapl(){return _icapl;}
  int GetIcasi(){return _icasi;}
  int GetIcast(){return _icast;}
  void SetIcapl(const int & i){_icapl=i;}
  void SetIcasi(const int & i){_icasi=i;}
  void SetIcast(const int & i){_icast=i;}
  
  void Print(){
    cout <<  "pCalID : Icapl, Icasi, Icast= " 
	 << GetIcapl()<<", "<< GetIcasi() <<", " << GetIcast() << endl; 
  }
  
private:

    int _icapl;
    int _icasi;
    int _icast;
  
};

#endif //PCALID_H
